#include "alchemist.h"
#include "refstr.h"


AdmRefStr *
AdmRefStr_ref	(AdmRefStr	*tok)
{
	refstr_ref((refstr *) tok);
	return tok;
}

void
AdmRefStr_unref	(AdmRefStr	*tok)
{
	refstr_unref((refstr *) tok);
}

AdmRefStr *
AdmRefStr_get	(const char	*str,
		 int		 force)
{
	return (AdmRefStr *) refstr_get(str, force);
}

AdmRefStr *
AdmRefStr_nget	(const char	*str,
		 size_t		 len,
		 int		 force)
{
	return (AdmRefStr *) refstr_nget(str, len, force);
}

size_t
AdmRefStr_len	(AdmRefStr	*tok)
{
	return refstr_len((refstr *) tok);
}
